ARG MANAGER_VERSION="8.15.4"

FROM node:20-alpine@sha256:426f843809ae05f324883afceebaa2b9cab9cb697097dbb1a2a7a41c5701de72

WORKDIR /usr/app

# install the desired package manager
RUN npm i -g "pnpm@$MANAGER_VERSION"

# initialize the package.json using the manager
RUN pnpm init

# install a few dependencies at specific versions
RUN pnpm add mkdirp@0.5.0
RUN pnpm add -d cryo@0.0.6

# ensure that we finish fully installed
RUN pnpm install
